#
# spec file for package tarfix (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tarfix
Copyright:    1999 - not specified
Group:        Utilities/Archiving
Provides:     tarfix 
Autoreqprov:  on
Version:      1.0
Release:      339
Summary:      Recovers damaged tar-archives
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}.patch

%description
Tools for processing and  recover damaged tar archive files.

Authors:
--------
    Scot E. Wilcoxon <sewilco@fieldday.mn.org>

SuSE series: ap

%prep
%setup -n %{name}-%{version}
%patch -p1

%build
cd fixtar
rm fixtar
gcc -o fixtar fixtar.c
cd ..
cd tar_aids
rm targ tarl
make
cd ..

%install
### bin ###
install -m 755 fixtar/fixtar /usr/bin
install -m 755 tar_aids/targ /usr/bin
install -m 755 tar_aids/tarl /usr/bin
### man ###
install -m 755 targ.1 /usr/share/man/man1
ls

%files
%doc README tarfix-1.0.lsm README.tar_aids README.tarfix fixtar.art tar_aids.art
%doc /usr/share/man/man1/targ.1.gz
/usr/bin/fixtar
/usr/bin/targ
/usr/bin/tarl

%changelog -n tarfix
* Tue Jul 31 2001 - adostal@suse.cz
- bzip2 source and convert dif to patch
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Thu Feb 24 2000 - freitag@suse.de
- moved man-pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 14 1999 - ray@suse.de
- new package Version 1.0
